Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163651 - ip.sh's monitor_link is improperly handled
Summary: ip.sh's monitor_link is improperly handled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-19 20:52 UTC by Lon Hohberger
Modified: 2009-04-16 20:17 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-738
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-07 16:52:57 UTC


Attachments (Terms of Use)
Fixes handling of monitor_link flag. (deleted)
2005-07-19 20:52 UTC, Lon Hohberger
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:738 normal SHIPPED_LIVE rgmanager bug fix update 2005-10-07 04:00:00 UTC

Description Lon Hohberger 2005-07-19 20:52:45 UTC
Created attachment 116945 [details]
Fixes handling of monitor_link flag.

Comment 1 Lon Hohberger 2005-07-19 20:52:45 UTC
Description of problem:

The monitor_link flag should default to "yes" or "1".  Currently, however,
it defaults to "no" or "0" unless "yes" is specified.   "1" is not handled.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Set monitor_link to "1" for a service IP, or remove the option which
(according to the metadata defaults to "ON").
2. Pull cable.

  
Actual results:
No failover.


Expected results:
Failover

Comment 2 Lon Hohberger 2005-07-28 21:04:49 UTC
fixes in CVS

Comment 4 Red Hat Bugzilla 2005-10-07 16:52:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-738.html



Note You need to log in before you can comment on or make changes to this bug.